@import 'src/components/rem';

.grid {
    display: grid;
    grid-template-columns: rem(140px) 1fr;
    grid-column-gap: rem(16px);

    label {
        justify-self: flex-end;
        text-align: right;
    }

    * {
        align-self: center;
    }

    span {
        grid-column: 2/3;
    }

    @media screen and (max-width: 769px) {
        display: block;

        label {
            text-align: left;
        }
    }
}

.small {
    @extend .grid;

    * {
        max-width: rem(166px);

        @media screen and (max-width: 769px) {
            max-width: none;
        }
    }
}

.middle {
    @extend .grid;

    * {
        max-width: rem(242px);

        @media screen and (max-width: 769px) {
            max-width: none;
        }
    }
}

.large {
    @extend .grid;

    * {
        max-width: rem(414px);

        @media screen and (max-width: 769px) {
            max-width: none;
        }
    }
}

.emptyWrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: rem(50px);
}

.empty {
    color: var(--color-gray-500);
}
